---
title: 204 No Content
slug: Web/HTTP/Status/204
tags:
  - HTTP
  - Reference
  - Status code
  - Success
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>204 No Content</code></strong> success status response code indicates that the request has succeeded, but that the client doesn't need to go away from its current page. A 204 response is cacheable by default. An {{HTTPHeader("ETag")}} header is included in such a response.</p>

<p>The common use case is to return <code>204</code> as a result of a {{HTTPMethod("PUT")}} request, updating a resource, without changing the current content of the page displayed to the user. If the resource is created, {{HTTPStatus("201")}} <code>Created</code> is returned instead. If the page should be changed to the newly updated page, the {{HTTPStatus("200")}} should be used instead.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">204 No Content</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "204 No Content" , "6.3.5")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.204")}}</p>

<h2 id="Compatibility_notes">Compatibility notes</h2>

<ul>
 <li>Although this status code is intended to describe a response with no body, servers may erroneously include data following the headers. The protocol allows user agents to vary in how they process such responses (<a href="https://github.com/httpwg/http11bis/issues/26">discussion regarding this specification text can be found here</a>). This is observable in persistent connections, where the invalid body may include a distinct response to a subsequent request.<br>
  <br>
  Apple Safari rejects any such data. Google Chrome and Microsoft Edge discard up to four invalid bytes preceding a valid response. Firefox tolerates in excess of a kilobyte of invalid data preceding a valid response.</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Methods">HTTP request methods</a></li>
</ul>
